import * as React from 'react';
import { IREWMenu } from './@types';
interface IState {
    active?: boolean;
    altKeyPressed?: boolean;
    openedMenuIndex?: number;
}
declare class MenuBar extends React.Component<IREWMenu.IMenuBarProps, IState> {
    childMenu: IREWMenu.IContextMenu[];
    containerRef: React.RefObject<HTMLDivElement>;
    keydownInfo?: string;
    constructor(props: IREWMenu.IMenuBarProps);
    onMousedownBody: (ev: MouseEvent) => void;
    onKeyDownWindow: (ev: KeyboardEvent) => void;
    onKeyUpWindow: (ev: KeyboardEvent) => void;
    handleMenuBarActive: () => void;
    handleMenuClick: (e: React.MouseEvent, menuIndex: number) => void;
    handleMenuOver: (e: React.MouseEvent, menuIndex: number) => void;
    handleSubmenuPopup: (e: React.MouseEvent, menuIndex: number) => void;
    initSubmenu: () => void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: IREWMenu.IMenuBarProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default MenuBar;
