import { IREWMenu } from './@types';
declare class ContextMenu implements IREWMenu.IContextMenu {
    container: HTMLDivElement | undefined;
    options: IREWMenu.IContextMenuOptions;
    menuItems: IREWMenu.IMenuItem[];
    _visible: boolean;
    constructor(options?: IREWMenu.IContextMenuOptions);
    get visible(): boolean;
    set visible(tf: boolean);
    setMenu(menuItems: IREWMenu.IMenuItem[]): this;
    popup(popupOption?: IREWMenu.IPopupOption): void;
    close(): void;
    onClickItem: IREWMenu.OnClickItem;
    onMousedownBody: (e: MouseEvent) => void;
    onKeyDownWindow: (e: KeyboardEvent) => void;
    render(): void;
}
export default ContextMenu;
